GET /api/v3/billView/{billId}

Retrieves properties for bill view

GetBillViewV3 Permissions: BillsAndBatches (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
billId The bill identifier integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BillViewResponse
Property Description Type
account BillViewAccountChild
BillViewAccountChild properties
Property Description Type
accountCode string
accountId integer (int32)
accountInfo string
accountType AccountTypeChild
AccountTypeChild properties
Property Description Type
accountTypeCode The account type code string
accountTypeId The account type identifier integer (int32)
accountTypeInfo The account type info string
address BillViewAddressChild
BillViewAddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the address string
country The country of the address string
line1 The line 1 of the address string
line2 The line 2 of the address string
line3 The line 2 of the address string
postalCode The postal code of the address string
state The state of the address string
auditEnabled boolean
generalLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
vendor BillViewVendorChild
BillViewVendorChild properties
Property Description Type
address BillViewAddressChild
BillViewAddressChild properties
Property Description Type
addressTypeId The address type identifier integer (int32)
city The city of the address string
country The country of the address string
line1 The line 1 of the address string
line2 The line 2 of the address string
line3 The line 2 of the address string
postalCode The postal code of the address string
state The state of the address string
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
accountPeriod The bill’s accounting period integer (int32)
accountPeriodName The bill’s accounting period name string
accrual Indicates if the bill is an accrual boolean
accrualReversed Indicates if the bill is a reversed accrual boolean
analyzing Indicates whether this bill is currently being analyzed boolean
apExportDate The date and time the bill was ap exported string (date-time)
apExported Indicates if the bill has been ap exported boolean
apExportedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
approveDate The date and time the bill was approved string (date-time)
approved Indicates if the bill has been approved boolean
approvedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
balance The bill’s balance number (double)
batch BatchChild
BatchChild properties
Property Description Type
batchCode The batch code. string
batchId The batch id. integer (int32)
batchEndDate The date the batch was closed string (date-time)
bcAcquisitionMethod The method used to upload the bill to BillCAPture string
bcProcessingComplete The date and time the bill was finished processing in BillCAPture string (date-time)
bcReceived The date and time the bill was received by BillCAPture string (date-time)
bcReturnedFromProcessing The date and time the bill completed processing string (date-time)
bcSentToProcessing The date and time the bill was sent to the processor string (date-time)
beginDate The bill’s begin date string (date-time)
billAccountMeters The list of account-meter summaries on the bill BillAccountMeterChild[]
BillAccountMeterChild properties
Property Description Type
accountId The bill-account-meter’s account id integer (int32)
directCost The bill-account-meter’s direct cost number (double)
directCostPerDay The bill-account-meter’s direct cost per day number (double)
directCostUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
meterId The bill-account-meter’s meter id integer (int32)
nativeActualDemand The bill-account-meter’s native actual demand number (double)
nativeActualDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeBilledDemand The bill-account-meter’s native billed demand number (double)
nativeBilledDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeUse The bill-account-meter’s native use number (double)
nativeUsePerDay The bill-account-meter’s native use per day number (double)
nativeUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeUseUnitCost The bill-account-meter’s native use unit cost number (double)
billHistory The bill history BillHistoryResponse[]
BillHistoryResponse properties
Property Description Type
accrual The bill’s accrual indicator boolean
beginDate The bill’s begin date string (date-time)
billAccountMeters The bill’s account-meter summaries BillAccountMeterChild[]
BillAccountMeterChild properties
Property Description Type
accountId The bill-account-meter’s account id integer (int32)
directCost The bill-account-meter’s direct cost number (double)
directCostPerDay The bill-account-meter’s direct cost per day number (double)
directCostUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
meterId The bill-account-meter’s meter id integer (int32)
nativeActualDemand The bill-account-meter’s native actual demand number (double)
nativeActualDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeBilledDemand The bill-account-meter’s native billed demand number (double)
nativeBilledDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeUse The bill-account-meter’s native use number (double)
nativeUsePerDay The bill-account-meter’s native use per day number (double)
nativeUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
nativeUseUnitCost The bill-account-meter’s native use unit cost number (double)
billId The bill’s bill id integer (int32)
billingPeriod The bill’s billing period integer (int32)
createdDate The bill’s created date string (date-time)
dueDate The bill’s due date string (date-time)
endDate The bill’s end date string (date-time)
estimated Indicates if the bill is estimated or not boolean
invoiceNumber The bill’s invoice number string
statementDate The bill’s statement date string (date-time)
totalCost The bill’s total cost number (double)
totalCostUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
void The bill’s void indicator boolean
billId The bill identifier integer (int32)
billImageUrl The fully qualified url to the bill image string
billNote Bill note string
billingPeriod The bill’s billing period integer (int32)
bodyLines The list of body lines on the bill BodylineChild[]
BodylineChild properties
Property Description Type
accountId The account identifier integer (int32)
bodyLineId The bodyline identifier integer (int32)
caption The caption string
cost The cost attributed to the bodyline number (double)
costIsInfoOnly Is the cost value counted towards the overall total cost or info only boolean
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
displayOrder The display order integer (int32)
generalLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
meterId The meter identifier integer (int32)
observationType ObservationTypeChild
ObservationTypeChild properties
Property Description Type
credit Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) integer (int32)
nounCode The observation type’s noun code string
nounId The identifier for the observation type’s noun integer (int32)
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info string
value The bodyline’s value number (double)
valueIsInfoOnly boolean
valueUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
calendarizedHistory Calendarized history information for the account BillCalendarizedHistory[]
BillCalendarizedHistory properties
Property Description Type
accountId Account ID integer (int32)
actualDemand Actual Demand (native) number (double)
actualDemandUnit Actual Demand unit name (native) string
billedDemand Billed Demand (native) number (double)
billedDemandUnit Billed Demand unit name (native) string
billingPeriod Billing Period (YYYYMM) integer (int32)
costPerDay Cost per day number (double)
costUnit Cost unit name string
current Is this period within the last year boolean
demand Demand (native) number (double)
demandUnit Demand unit name (native) string
meterId Meter ID integer (int32)
month Calendarized Month integer (int32)
unitCost Unit cost number (double)
usePerDay Use per day (native) number (double)
useUnit Use unit name (native) string
year Calendarized Year integer (int32)
checkDate The date and time of the check string (date-time)
checkImage The API URL that can be used to download the file of the check image string
checkNumber The number of the check that the bill was paid with string
clearedDate The date and time that the check cleared string (date-time)
controlCode The bill’s control code string
costConversion CostConversion
CostConversion properties
Property Description Type
conversionDate The date used to look up the currency conversion string (date-time)
sourceToSystemConversionValue The conversion factor used to convert from the source cost unit to the system cost unit number (double)
sourceUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
systemUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date and time the bill was created string (date-time)
creationMethod The method used to create the bill Automatic, Manual, Estimated, Simulated, Accrual, or Adjustment string
days The bill’s number of days integer (int32)
dueDate The date and time the bill is due string (date-time)
endDate The bill’s end date string (date-time)
estimated Indicates if the bill is estimated boolean
excludedFromAccruals Indicates whether this bill is excluded from accruals or not boolean
exportHold Indicates if the bill is being withheld from bill exports boolean
fromVendor Indicates if the bill is from a vendor boolean
fundsWithdrawnDate The date when funds were withdrawn string (date-time)
glExportDate The date and time the bill was exported to gl string (date-time)
glExported Indicates if the bill has been gl exported boolean
glExportedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
hasBeenSplit Indicates if the bill has been split boolean
hideAccountPeriod Is account period required? boolean
hideAccountYear Is account year required? What is it? boolean
hideBatchCode Do y’all need to have a batch code? boolean
hideControlCode Is control code required? boolean
hideDueDate Is due date required? boolean
hideEstimated Is estimated flag required? boolean
hideInvoiceNumber Is Invoice Number Required? boolean
hideNextReading Is next reading date required? boolean
hideStatementDate Is statement date required? boolean
invoiceNumber The bill’s invoice number string
meters The list of meters on the bill BillViewMeterChild[]
BillViewMeterChild properties
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
generalLedger GeneralLedgerChild
GeneralLedgerChild properties
Property Description Type
generalLedgerCode string
generalLedgerId integer (int32)
generalLedgerInfo string
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
place PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
rate RateChild
RateChild properties
Property Description Type
name string
rateId integer (int32)
serialNumber The meter’s serial number string
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date and time of the most recent modification string (date-time)
nextBillId Bill ID for the bill on this account that immediately follows this bill (used for navigating to the next bill) integer (int32)
nextReading The bill’s next reading date string (date-time)
payStatus The payment status of the bill string
paymentAmount The net amount of the payment event of the bill number (double)
paymentCanceledDate The latest date the payment was canceled string (date-time)
paymentExportDate The date and time the bill was exported to bill payment string (date-time)
paymentExported Indicates if the bill has been exported to bill payment boolean
paymentExportedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
paymentType The payment type of the bill. For example, Check, VCard, and ACH. string
paymentVoucher The API URL that can be used to download the file of the payment voucher string
priorBillId Bill ID for the bill on this account that immediately precedes this bill (used for navigating back to the prior bill) integer (int32)
reversalDetails BillReversal
BillReversal properties
Property Description Type
description Description of the reversal pair string
referenceBillId Identifier of the other bill in the reversal pair integer (int32)
referenceType Indicates whether the reference bill is a reversal or source of a reversal. It is “Source” if the reference bill is the source bill and “Reversal” if the reference bill is the reversal bill string
statementDate The date of the billing statement string (date-time)
totalCost The bill’s total cost in the system currency. The system currency is the reporting/global currency unit. number (double)
totalSourceCost The bill’s total cost in the source currency. The source currency is the native currency unit. number (double)
void Indicates if the bill has been voided boolean
wasSplitDate The date and time the bill was split string (date-time)
Example Response application/json
{  "account": {    "accountCode": "string",    "accountId": 1,    "accountInfo": "string",    "accountType": {      "accountTypeCode": "string",      "accountTypeId": 1,      "accountTypeInfo": "string"
    },    "address": {      "addressTypeId": 1,      "city": "string",      "country": "string",      "line1": "string",      "line2": "string",      "line3": "string",      "postalCode": "string",      "state": "string"
    },    "auditEnabled": false,    "generalLedger": {      "generalLedgerCode": "string",      "generalLedgerId": 1,      "generalLedgerInfo": "string"
    },    "vendor": {      "address": {},      "vendorCode": "string",      "vendorId": 1,      "vendorInfo": "string"
    }
  },  "accountPeriod": 1,  "accountPeriodName": "string",  "accrual": false,  "accrualReversed": false,  "analyzing": false,  "apExportDate": "2026-03-30",  "apExported": false,  "apExportedBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "approveDate": "2026-03-30",  "approved": false,  "approvedBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "balance": 1.0,  "batch": {    "batchCode": "string",    "batchId": 1
  },  "batchEndDate": "2026-03-30",  "bcAcquisitionMethod": "string",  "bcProcessingComplete": "2026-03-30",  "bcReceived": "2026-03-30",  "bcReturnedFromProcessing": "2026-03-30",  "bcSentToProcessing": "2026-03-30",  "beginDate": "2026-03-30",  "billAccountMeters": [
    {    "accountId": 1,    "directCost": 1.0,    "directCostPerDay": 1.0,    "directCostUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "meterId": 1,    "nativeActualDemand": 1.0,    "nativeActualDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "nativeBilledDemand": 1.0,    "nativeBilledDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "nativeUse": 1.0,    "nativeUsePerDay": 1.0,    "nativeUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "nativeUseUnitCost": 1.0
  }
  ],  "billHistory": [
    {    "accrual": false,    "beginDate": "2026-03-30",    "billAccountMeters": [
      {      "accountId": 1,      "directCost": 1.0,      "directCostPerDay": 1.0,      "directCostUnit": {},      "meterId": 1,      "nativeActualDemand": 1.0,      "nativeActualDemandUnit": {},      "nativeBilledDemand": 1.0,      "nativeBilledDemandUnit": {},      "nativeUse": 1.0,      "nativeUsePerDay": 1.0,      "nativeUseUnit": {},      "nativeUseUnitCost": 1.0
    }
    ],    "billId": 1,    "billingPeriod": 1,    "createdDate": "2026-03-30",    "dueDate": "2026-03-30",    "endDate": "2026-03-30",    "estimated": false,    "invoiceNumber": "string",    "statementDate": "2026-03-30",    "totalCost": 1.0,    "totalCostUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "void": false
  }
  ],  "billId": 1,  "billImageUrl": "string",  "billNote": "string",  "billingPeriod": 1,  "bodyLines": [
    {    "accountId": 1,    "bodyLineId": 1,    "caption": "string",    "cost": 1.0,    "costIsInfoOnly": false,    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "displayOrder": 1,    "generalLedger": {      "generalLedgerCode": "string",      "generalLedgerId": 1,      "generalLedgerInfo": "string"
    },    "meterId": 1,    "observationType": {      "credit": 1,      "nounCode": "string",      "nounId": 1,      "observationTypeCode": "string",      "observationTypeId": 1,      "observationTypeInfo": "string"
    },    "value": 1.0,    "valueIsInfoOnly": false,    "valueUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    }
  }
  ],  "calendarizedHistory": [
    {    "accountId": 1,    "actualDemand": 1.0,    "actualDemandUnit": "string",    "billedDemand": 1.0,    "billedDemandUnit": "string",    "billingPeriod": 1,    "costPerDay": 1.0,    "costUnit": "string",    "current": false,    "demand": 1.0,    "demandUnit": "string",    "meterId": 1,    "month": 1,    "unitCost": 1.0,    "usePerDay": 1.0,    "useUnit": "string",    "year": 1
  }
  ],  "checkDate": "2026-03-30",  "checkImage": "string",  "checkNumber": "string",  "clearedDate": "2026-03-30",  "controlCode": "string",  "costConversion": {    "conversionDate": "2026-03-30",    "sourceToSystemConversionValue": 1.0,    "sourceUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "systemUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    }
  },  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30",  "creationMethod": "string",  "days": 1,  "dueDate": "2026-03-30",  "endDate": "2026-03-30",  "estimated": false,  "excludedFromAccruals": false,  "exportHold": false,  "fromVendor": false,  "fundsWithdrawnDate": "2026-03-30",  "glExportDate": "2026-03-30",  "glExported": false,  "glExportedBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "hasBeenSplit": false,  "hideAccountPeriod": false,  "hideAccountYear": false,  "hideBatchCode": false,  "hideControlCode": false,  "hideDueDate": false,  "hideEstimated": false,  "hideInvoiceNumber": false,  "hideNextReading": false,  "hideStatementDate": false,  "invoiceNumber": "string",  "meters": [
    {    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "generalLedger": {      "generalLedgerCode": "string",      "generalLedgerId": 1,      "generalLedgerInfo": "string"
    },    "meterCode": "string",    "meterId": 1,    "meterInfo": "string",    "meterType": {      "meterTypeCode": "string",      "meterTypeId": 1,      "meterTypeInfo": "string"
    },    "place": {      "isDataRolledUp": false,      "placeCode": "string",      "placeId": 1,      "placeInfo": "string",      "placeType": {}
    },    "rate": {      "name": "string",      "rateId": 1
    },    "serialNumber": "string"
  }
  ],  "modifiedBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "modifiedDate": "2026-03-30",  "nextBillId": 1,  "nextReading": "2026-03-30",  "payStatus": "string",  "paymentAmount": 1.0,  "paymentCanceledDate": "2026-03-30",  "paymentExportDate": "2026-03-30",  "paymentExported": false,  "paymentExportedBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "paymentType": "string",  "paymentVoucher": "string",  "priorBillId": 1,  "reversalDetails": {    "description": "string",    "referenceBillId": 1,    "referenceType": "string"
  },  "statementDate": "2026-03-30",  "totalCost": 1.0,  "totalSourceCost": 1.0,  "void": false,  "wasSplitDate": "2026-03-30"
}